%define version 0.18
%define name gnome-print
%define prefix /usr
%define sysconfdir /etc
%define localstatedir /var/lib

Summary: Printing libraries for GNOME.
Name: %{name}
Version: %{version}
Release: 2mdk
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-print/%{name}-%{version}.tar.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
Docdir: %{prefix}/doc
PreReq:	gnome-libs
PreReq:	urw-fonts
PreReq:	ghostscript-fonts
PreReq:	libxml

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME is based completely on free software. The gnome-print package
contains libraries and fonts that are needed by GNOME applications wanting to
print.

You should install the gnome-print package if you intend on using any of the
GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print devel
package.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/C
Requires: %{name} = %{version}

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME is based completely on free software. The gnome-print-devel package
includes the libraries and include files that you will need when developing
applications that use the GNOME printing facilities.

You should install the gnome-print-devel package if you would like to develop
GNOME applications that will use the GNOME printing facilities. You don't need
to install the gnome-print-devel package if you just want to use the GNOME
desktop enviornment.

%prep
%setup -q

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir}
cd fonts
install -c *.font $RPM_BUILD_ROOT%{prefix}/share/fonts


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{prefix}/bin/gnome-font-install --system --scan --no-copy \
        --afm-path=%{prefix}/share/fonts/afms \
        --pfb-path=%{prefix}/share/fonts/pfbs \
	--pfb-assignment=ghostscript,/usr/share/ghostscript/fonts \
	--afm-assignment=ghostscript,/usr/share/ghostscript/fonts \
        --pfb-assignment=ghostscript,/usr/share/fonts/default/Type1 \
        --afm-assignment=ghostscript,/usr/share/fonts/default/Type1 \
        %{prefix}/share/fonts/

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/lib*.so.*
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/fonts/afms/adobe/*
%{prefix}/share/fonts/*.font
%config %{prefix}/share/gnome-print/profiles/Postscript.profile

%files devel
%defattr(-, root, root)
%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/lib/*.sh
%{prefix}/include/*/*


%changelog
* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-2mdk
- fixed group, /me really-stupid

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-1mdk
- took srpm from Helix [grrr.. no changelog, why?]
